<template>
  <div>
    <closeheader v-bind:titolosezione="$t('raccoltaDelLatteanalisi')" back/>
      <v-layout row wrap mx-1 px-3 align-center>
        <v-carousel hide-controls height="auto">
          <v-carousel-item v-for="p in showDeliveries" v-bind:key="p.id">

            <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('nome_vettore') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.carrier.name}}</p>
                </v-flex>
              </v-layout>
            </v-container>

           <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('targa_mezzo') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.carrier.number}}</p>
                </v-flex>
              </v-layout>
            </v-container>

           <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('orario_inizio_raccolta') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.start | moment('subtract', '2 hours', 'HH:mm')}}</p>
                </v-flex>
              </v-layout>
            </v-container>

           <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('orario_di_arrivo') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.end | moment('subtract', '2 hours', 'HH:mm')}}</p>
                </v-flex>
              </v-layout>
            </v-container>

            <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('orario_inizio_pastorizzazione') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.start_pasteurization | moment('subtract', '2 hours', 'HH:mm')}}</p>
                </v-flex>
              </v-layout>
            </v-container>

            <v-container grid-list-md text-xs-left class="maxwidth">
              <v-layout class="bordobottom" row wrap px-0>
                <v-flex xs6 sm6 md6>
                  <h3 class="text-xs-left titoletto">{{ $t('orario_fine_pastorizzazione') }}</h3>
                </v-flex>
                <v-flex xs6 sm6 md6>
                  <p class="px-0 text-xs-right">{{p.end_pasteurization | moment('subtract', '2 hours', 'HH:mm')}}</p>
                </v-flex>
              </v-layout>
            </v-container>

            <v-container grid-list-md text-xs-center class="maxwidth">
              <v-layout mb-2 align-center justify-center row fill-height>
                <v-flex>
                  <button class="bottone mb-5">
                    <router-link :to="{name:'analisi', params: { data: p, parent: 'trasporto', passedparams: batchraw }}">
                      <p>{{ $t('vedi_il_processo_di_analisi') }}</p>
                    </router-link>
                  </button>
                </v-flex>
              </v-layout>
            </v-container>
          </v-carousel-item>
        </v-carousel>
      </v-layout>
  </div>
</template>

<script>
import axios from 'axios'
import closeheader from '@/components/closeheader'

export default({
  name: 'trasporto',
  data () {
    return {
      posts: this.$store.getters.BATCHINFO,
      idVal: this.$store.getters.BATCHID,
      parsed: this.$store.getters.PARSEDINFO
    }
  },
  components: {
    closeheader,
    axios
  },
  computed: {
    batchraw: function () {
      if (this.$route.params.batchraw) {
        return this.$route.params.batchraw
      } else {
        return this.$store.getters.BATCHRAW
      }
    },
    showDeliveries: function () {
      var list = []
      let check = {}
      check = this.parsed.deliveries
      for (var del in check) {
        var verify = this.parsed.deliveries[del]
        // console.log(verify)
        var key = verify.batchraw
        // console.log(key)
        // console.log(this.batchraw)
        if (key === this.batchraw) {
          list.push(verify)
        }
      }
      return list
    }
  },
  methods: {
    productParse: function (json) {
      var allfarmerbatches = {}
      var alldeliveries = {}
      for (var key in json.batchraws) {
        var batchraws = json.batchraws[key]
        for (var key2 in batchraws) {
          var deliveries = batchraws[key2]
          for (var key3 in deliveries) {
            var delivery = deliveries[key3]
            if (typeof delivery.id !== 'undefined') {
              alldeliveries[delivery.id] = delivery
            }
            for (var key4 in delivery.farmerbatches) {
              var farmerbatch = delivery.farmerbatches[key4]
              if (typeof farmerbatch.id !== 'undefined') {
                allfarmerbatches[farmerbatch.id] = farmerbatch
              }
            }
          }
        }
      }
      return {'deliveries': alldeliveries, 'farmerbatches': allfarmerbatches}
    }
  }
})
</script>

<style scoped>

.bordorosso{
  border: 2px solid red;
}
.bordobottom{
 border-bottom: 2px solid #ffffff;
}
.sfondo1{
  background-color: #ffffd7;
  font-size:95%;

}
.titoletto{
  white-space: nowrap;
}
.ic-badge{
  width: 100%
}
.ow {
  overflow-wrap: break-word;
  word-wrap: break-word;
  hyphens: auto;
}
a{
  text-decoration: none;
  color: #000000;
}
.bottone {
  margin: auto;
  background-color: #ffda00;
  color: #000000;
  padding: 10px;
  border-radius: 999rem;
  white-space: nowrap;
  text-decoration: none;
}
.bottone{
  padding-bottom: 0px;
}
</style>